Subject: bug#18357: 24.3.93; Calendar not fully displayed

From: martin rudalics <[email-masked]>
Date: Sat, 30 Aug 2014 18:40:39 +0200

> The original report was about mode-line face causing the problem.  Are
 > you saying that the problem is not the face, but the lack of sit-for
 > somewhere?

The mode line face specifies the height of the mode line.  IIUC
`fit-window-to-buffer' gets this height via CURRENT_MODE_LINE_HEIGHT (in
dispextern.h) which is likely wrong if the font has not been applied yet
to the target window.

Note that we allow the font to change the height of the mode line which
may partially overwrite the last line(s) of the window text.  This seems
to backfire here (I haven't checked it).  Personally, I'd prefer to have
the user specify the height of the modeline in advance and have the
display engine use a smaller font if the one the user asked for doesn't
fit within the specified height.  Maybe that's over-engineering but it
should avoid problems like the present one.

martin